%global with_debug 0
%global with_check 0

%if 0%{?with_debug}
%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package %{nil}
%endif

%global provider github
%global provider_tld com
%global project containers
%global repo conmon
# https://github.com/containers/conmon
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit0 5ca7df27cb3a6f1edaab1a40fcc61cc6c16d9308
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global git0 https://%{import_path}

Name: %{repo}
Epoch: 2
Version: 2.0.8
Release: 1.0.1%{?dist}
Summary: OCI container runtime monitor
License: ASL 2.0
URL: %{git0}
Source0: %{git0}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
BuildRequires: gcc
BuildRequires: git
BuildRequires: glib2-devel
BuildRequires: systemd-devel

Patch100: 100-remove-upstream-references.patch	

%description
%{summary}.

%patch100 -p1

%prep
%autosetup -Sgit -n %{name}-%{commit0}

%build
%{__make} all

%install
%{__make} PREFIX=%{buildroot}%{_prefix} install

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Thu Apr 16 2020 Alan Steinberg <alan.steinberg@oracle.com> - 2.0.8-1.0.1
- Remove upstream references [Orabug: 30871880]

* Mon Dec 16 2019 Jindrich Novy <jnovy@redhat.com> - 2.0.8-1
- update to 2.0.8

* Wed Dec 11 2019 Jindrich Novy <jnovy@redhat.com> - 2:2.0.6-1
- import conmon 2.0.6 to extras-rhel-7.8
